DirectX Diagnostic Tool

The Microsoft DirectX Diagnostic Tool documentation contains the following topics:

  • DirectX Diagnostic Tool overview
  • Using the DirectX Diagnostic Tool to diagnose problems
  • Testing DirectX Components
  • Overriding Default Behavior
  • Saving Information
  • Checking for WHQL digital signatures


DirectX Diagnostic Tool overview

The Microsoft DirectX Diagnostic Tool gives information about the DirectX application programming interface (API) components and drivers on your system. It enables you to test sound and graphics output and Microsoft DirectPlay service providers. It also enables you to disable some hardware acceleration features.

You can use the diagnostic tool to gather information for a technician during a support call. You can save the information gathered by the tool and paste it into an e-mail message.

Information is presented on a series of pages. You can move from page to page by:

  • Clicking the tabs.
  • Clicking Next Page.
  • Pressing the LEFT ARROW or RIGHT ARROW key when the focus is on a tab.

Certain pages in the diagnostic tool, such as DirectX Files, Music, or Input, display information in a table. You can sort information in those tables to more easily find the specific details for which you are looking.

To sort information in a table

  1. Identify the column that contains the information you would like to use to sort the table.
  2. Click the header button at the top of the column.

    The table will sort in alphabetical or numerical order based on the items in that column. To reverse the sorting order (Z to A, rather than A to Z, for example), click the header button again.

* Notes

  • Some information, such as the amount of memory on a display card, might be approximate.
  • To learn more about saving information gathered by the DirectX Diagnostic Tool, click Related Topics.

Related Topics

Testing DirectX Components

Saving information


Using the DirectX Diagnostic Tool to diagnose problems

If you are experiencing problems when running Microsoft DirectX applications, the DirectX Diagnostic Tool can help you find the source of the trouble. Here are some of the things you should be looking for:

  • Incorrect versions of DirectX components. In the Notes section of the DirectX Files page, look for warnings about beta and debug files. Beta files are early test versions and should not be installed with commercial programs. Debug versions, which are used in program development, should not be installed with the final product. Debug versions of the components can cause programs to run much more slowly than they would with the retail versions.
  • Lack of hardware acceleration. Some programs run very slowly or not at all unless Microsoft DirectDraw or Direct3D hardware acceleration is available. On the Display page, look under DirectX Features to see whether DirectDraw, Direct3D, or AGP Texture acceleration is marked "Not Available." If so, you might consider upgrading your hardware. Or if you are using a product in the Windows Server 2003 family, you may need to enable graphics acceleration. You can do this by opening Display in Control Panel, selecting the Settings tab, and then clicking Advanced. Select the Troubleshoot tab, and then move the Hardware Acceleration slider to Full.
  • Device not connected. If a joystick or other input device fails to respond, it may not be properly set up. Make sure the device is accounted for on the Input page of the DirectX Diagnostic Tool. If not, add the device through Control Panel.
  • Unsigned drivers. Microsoft has not tested unsigned drivers for full compatibility with the latest version of DirectX. It is recommended that you use drivers that are digitally signed by Microsoft Windows Hardware Quality Labs (WHQL).

* Note

  • If you use Terminal Services to work on a remote system that supports hardware acceleration, the DirectX Diagnostic Tool might indicate support for hardware acceleration. However, Terminal Services cannot use hardware acceleration, so support is not available.

Related Topics

Saving information

Checking for WHQL digital signatures


Testing DirectX Components

You can test Microsoft DirectDraw and Direct3D on each monitor attached to your system. You can also test DirectSound on each wave output device, and DirectMusic on each music port.

To test a DirectX feature

  1. Click the Test button on the appropriate page.
  2. Read any messages that appear.
  3. Watch or listen to the tests.
  4. Let each test run until you see a message asking if the test was successful. If you respond No, no more tests are run.

In the case of DirectMusic, there is a single test. Click OK when you are satisfied that the music is or is not playing correctly.

You can test Microsoft DirectPlay functionality on any available service provider.

To test DirectPlay

  1. On the Network page, click Test DirectPlay.
  2. In the DirectPlay Test dialog box, type a user name and choose a service provider.
  3. Select Create New Session, and then click OK.
  4. If you have chosen a modem connection, click Answer in the Modem Connection dialog box to put the modem in auto-answer mode.

Now run the Microsoft DirectX Diagnostic Tool on another computer that can establish the selected connection with the first computer.

  1. Click Test DirectPlay.
  2. Type a different user name.
  3. Choose the same service provider.
  4. Click the Join Existing Session button, and then click OK.

    For some types of connection, you might be asked to provide more information, such as a telephone number. For a TCP/IP connection on a local network, you can leave the text box blank.

  5. In the Session List containing the name of the session you created on the first computer, select the name of the session.
  6. Both computers should now show a chat dialog box. Type a message in the input box on one computer, and then click Send. The message should appear in the scrolling area of the chat dialog box on both computers.


Overriding default behavior

On the Sound page, you can set a different level of hardware acceleration by moving the slider. You must be a system administrator to change the hardware acceleration levels. This level remains in effect after you have closed the Microsoft DirectX Diagnostic Tool.

You can disable hardware acceleration for Microsoft DirectDraw or Direct3D, if such acceleration is available. To do so, go to the Display page for each display device, and then click Disable. After you have disabled hardware acceleration, it will not be available to any application, even after you close the DirectX Diagnostic Tool. To re-enable hardware acceleration, click Enable on the appropriate Display page.

* Note

  • Disabling DirectDraw acceleration also disables acceleration for Direct3D.

You can also override the monitor refresh rate set by DirectDraw full-screen applications. You should do this only if you are experiencing display problems with an application and have good reason to believe that the application is setting an invalid refresh rate.

To set an override refresh rate

  1. On the More Help page, click Override.
  2. In the Override DirectDraw Refresh Behavior dialog box, select Override Value and enter a valid refresh rate for your monitor.
  3. Click OK.

To cancel the override refresh rate and allow DirectDraw applications to set their own refresh rate

  1. On the More Help page, click Override.
  2. In the Override DirectDraw Refresh Behavior dialog box, click Default.


Save information

To save information

  1. To save information gathered with the Microsoft DirectX Diagnostic Tool, click Save All Information.
  2. Information from all the pages is saved in a file, with a name and location that you choose. To save as an XML file, in Save as type, click XML file (*.xml).

* Note

  • You can also save information by typing the following at the command prompt:

    dxdiag [/x outfile] [/t outfile]

    In this command, /x sends the data to an XML file, /t sends the data to a text file, and outfile specifies the name and location of the file.


Checking for WHQL digital signatures

When you verify that your drivers are digitally signed by the Microsoft Windows Hardware Quality Labs (WHQL), the DirectX Diagnostic Tool may try to connect to the Internet to download new WHQL certificates. During this process, no information is retrieved from your system. The tool will ask you for permission to connect to the Internet the first time you run it. This will only be asked once. To change your answer, go to the System page and select or clear Check for WHQL digital signatures.

This can also be changed by typing the following at the command prompt:

dxdiag [/whql:on] [/whql:off]

In this command, /whql:on allows the DirectX Diagnostic Tool to check for WHQL digital signatures, and /whql:off does not allow DirectX Diagnostic Tool to check for WHQL digital signatures.


Compile Date

Microsoft Windows graphic
Compile Date: 2003-02-12